package com.work.provide_tool.util

import androidx.fragment.app.Fragment
import androidx.fragment.app.FragmentActivity


fun FragmentActivity.turnPageFrag(layout:Int,fFrag:Fragment?,toFrag:Fragment){
    var ft = supportFragmentManager.beginTransaction()
    fFrag?.run {
        ft.hide(this)
    }
    if(!toFrag.isAdded){
        ft.add(layout,toFrag)
    }
    ft.show(toFrag).commit()
}